org.apache.xmlgraphics.java2d.color

## Class DefaultColorConverter

- java.lang.Object
- - org.apache.xmlgraphics.java2d.color.DefaultColorConverter

- All Implemented Interfaces:
    ColorConverter

      public final class DefaultColorConverter
      extends java.lang.Object
      implements ColorConverter

  A default implementation that does not apply any conversion

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `convert(java.awt.Color color)`
    `static DefaultColorConverter` | `getInstance()` static factory

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static DefaultColorConverter getInstance()

      static factory
      Returns:
        singleton instance of DefaultColorConverter

    - #### convert

          public java.awt.Color convert(java.awt.Color color)

      Specified by:
        `convert` in interface `ColorConverter`
      Parameters:
        `color` - to convert
      Returns:
        converted color

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.